from django.shortcuts import render, redirect

from organisation.models import Organisation
from django.contrib import messages
from organisation.forms import OrganisationForm , form_validation_error
from django.contrib.auth.decorators import login_required


# Create your views here.
@login_required(login_url="/login/")
def afficher_organisation(request):
    context = {}
    context['segment'] = 'organisation'
    # context['liste_villes'] = Ville.objects.all().values()
    # context['liste_entrepots'] = Entrepot.objects.all()
    # context['liste_agences'] = Agence.objects.all().values().order_by('created_at')    
    # try:
    # 	agence_pr = Agence.objects.get(nom = 'Siege social')
    # 	context['agence'] = agence_pr
    # except Agence.DoesNotExist:
    # 	agence_pr = None
    liste_organisation = Organisation.objects.all().values()
    if liste_organisation :
    	context['organisation'] = liste_organisation[0]

    return render(request, 'parametre.html', context)

@login_required(login_url="/login/")
def ajouter_organisation(request):
	context = {}
	context['segment'] = 'organisation'
	if request.method == "POST"  :
		id_organisation = request.POST.get('id')
		if id_organisation != '' :
			nom = request.POST.get('nom')
			activite = request.POST.get('activite')
			address = request.POST.get('address')
			email = request.POST.get('email')
			tel = request.POST.get('tel')
			Organisation.objects.filter(id = id_organisation).update(nom = nom)
			Organisation.objects.filter(id = id_organisation).update(address = address)
			Organisation.objects.filter(id = id_organisation).update(email = email)
			Organisation.objects.filter(id = id_organisation).update(tel = tel)
			if 'image' in request.FILES :
				image = request.FILES['image']
				Organisation.objects.filter(id = id_organisation).update(image = image)    
			messages.success(request, 'Organisation a été bien modifier')
		else :
			if 'image' in request.FILES :	
				form = OrganisationForm(request.POST , request.FILES or None)
				if form.is_valid():
					print("is valid")
					form.save()
					messages.success(request, 'Organisation a été bien ajouté')
				else:
					print("is not valid")
					print(form_validation_error(form))
					messages.error(request, "nom de l'organisation doit etre unique" )
			else :
				nom = request.POST.get('nom')
				activite = request.POST.get('activite')
				address = request.POST.get('address')
				email = request.POST.get('email')
				tel = request.POST.get('tel')
				organisation = Organisation(nom = nom  ,address =address ,email =email , tel= tel)
				organisation.save()

	
	return redirect('afficher_organisation')

